View Issue Details

IDProjectCategoryView StatusLast Update
13510Bug reports[All Projects] Theme editorpublic2018-03-28 12:14
ReporterDenisChenuAssigned Toollehar1 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.5.x 
Summary13510: beforeQuestionRender didn't include Class
Description

https://manual.limesurvey.org/index.php?title=BeforeQuestionRender&diff=prev&oldid=68877

Additional Information

I use it a lot $oEvent->set('class',$oEvent->get('class')." {$pluginClass}");

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.3 github (but same in last)
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-03-21 16:16

developer   ~47154

https://github.com/LimeSurvey/LimeSurvey/pull/1022

ollehar1

ollehar1

2018-03-22 15:50

reporter   ~47188

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26836

c_schmitz

c_schmitz

2018-03-28 12:14

administrator   ~47248

Version 3.6.0 released

Related Changesets

LimeSurvey: master f1957a37

2018-03-22 15:50:13

user70560


Committer: ollehar1 Details Diff
beforeQuestionRender Class + attributes (#1022)

* Fixed issue 13510: beforeQuestionRender didn't include Class
Dev: this one seems really needed … adding a class by plugin is needed
Dev: but can not remove included function in old twig file

* Dev: remove deprecated function
Dev: getQuestionReplacement NEED question qanda, currently return only empty replacement
Dev: didn't fix 13490

* New feature 13511: Allow new attribute in beforeQuestionRender
Dev: previously exist but undocumented
Dev: replace of QUESTION_ESSENTIALS
Affected Issues
13490, 13510, 13511
mod - application/core/LS_Twig_Extension.php Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/replacements_helper.php Diff File
mod - themes/survey/vanilla/views/subviews/survey/question_container.twig Diff File

Issue History

Date Modified Username Field Change
2018-03-21 15:29 DenisChenu New Issue
2018-03-21 15:29 DenisChenu Status new => assigned
2018-03-21 15:29 DenisChenu Assigned To => DenisChenu
2018-03-21 15:30 DenisChenu Description Updated View Revisions
2018-03-21 16:16 DenisChenu Note Added: 47154
2018-03-22 15:50 ollehar1 Changeset attached => LimeSurvey master f1957a37
2018-03-22 15:50 ollehar1 Note Added: 47188
2018-03-22 15:50 ollehar1 Assigned To DenisChenu => ollehar1
2018-03-22 15:50 ollehar1 Resolution open => fixed
2018-03-26 09:59 ollehar Status assigned => resolved
2018-03-26 09:59 ollehar Fixed in Version => 3.5.x
2018-03-28 12:14 c_schmitz Note Added: 47248
2018-03-28 12:14 c_schmitz Status resolved => closed